import HellbornItemSheet from "./base-item-sheet.mjs"

export default class HellbornMaleficaSheet extends HellbornItemSheet {
  /** @override */
  static DEFAULT_OPTIONS = {
    classes: ["malefica"],
    position: {
      width: 500,
    },
    window: {
      contentClasses: ["malefica-content"],
    },
  }

  /** @override */
  static PARTS = {
    main: {
      template: "systems/fvtt-hellborn/templates/malefica.hbs",
    },
  }

  /** @override */
  async _prepareContext() {
    const context = await super._prepareContext()
    context.enrichedDescription = await TextEditor.enrichHTML(this.document.system.description, { async: true })
    return context
  }
}
